Module | ActiveSupport::CoreExtensions::String::Filters
In: | lib/active_support/core_ext/string/filters.rb

### Methods

squish squish!

### Public Instance methods

squish()

Returns the string, first removing all whitespace on both ends of the string, and then changing remaining consecutive whitespace groups into one space each.

Examples:

      %{ Multi-line
         string }.squish                   # => "Multi-line string"
      " foo   bar    \n   \t   boo".squish # => "foo bar boo"

squish!()

Performs a destructive squish. See String#squish.

[Validate]